## speedcrunch 0.7~beta2

=== CMakeLists.txt ===
project(speedcrunch) 

cmake_minimum_required(VERSION 2.4.0)
set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

# note: sort files alphabetically !

# sources
set(speedcrunch_SOURCES 
aboutbox.cpp
configdlg.cpp
crunch.cpp
crunchico.rc  # special
deletevardlg.cpp
editor.cpp
evaluator.cpp
functions.cpp
hmath.cpp
insertfunctiondlg.cpp
insertvardlg.cpp
keypad.cpp
main.cpp
number.c
result.cpp
settings.cpp
)

# headers
set(speedcrunch_HEADERS
aboutbox.h
configdlg.h
crunch.h
deletevardlg.h
editor.h
evaluator.h
functions.h
hmath.h
insertfunctiondlg.h
insertvardlg.h
keypad.h
number.h
result.h
settings.h
)

# forms
set(speedcrunch_FORMS listdialog.ui)

# resources
set(speedcrunch_RESOURCES crunch.qrc)

# translations
set(speedcrunch_TRANSLATIONS
crunch_cs.qm
crunch_de.qm
crunch_es.qm
crunch_fr.qm
crunch_id.qm
crunch_it.qm
crunch_pl_PL.qm
crunch_pt_BR.qm
crunch_pt.qm
crunch_ru.qm
crunch_sl.qm
)

# we still need those Q3 classes
set( QT_USE_QT3SUPPORT TRUE )  

# enable warnings
ADD_DEFINITIONS( -Wall )

# setup for Qt4
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

# build everything
qt4_add_RESOURCES( speedcrunch_RESOURCES_SOURCES ${speedcrunch_RESOURCES} )
QT4_WRAP_UI( speedcruch_FORMS_HEADERS ${speedcrunch_FORMS} )
QT4_WRAP_CPP( speedcrunch_HEADERS_MOC ${speedcrunch_HEADERS} )
INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
ADD_EXECUTABLE( speedcrunch ${speedcrunch_SOURCES} ${speedcrunch_HEADERS_MOC} ${speedcrunch_RESOURCES_SOURCES} ${speedcruch_FORMS_HEADERS} )
target_link_libraries(speedcrunch ${QT_LIBRARIES})

# set(EXECUTABLE_OUTPUT_PATH ${speedcrunch_BINARY_DIR}/../bin)

# install executable and translation files
# note: it will install to CMAKE_INSTALL_PREFIX, which can be set e.g
#  cmake ../branches/0.7 -DCMAKE_INSTALL_PREFIX=/usr
install(TARGETS speedcrunch DESTINATION bin)
install(FILES ${speedcrunch_TRANSLATIONS} DESTINATION share/crunch)

## speedcrunch 0.8

=== src/CMakeLists.txt ===
project(speedcrunch)

IF( APPLE )
  set( PROGNAME Speedcrunch )
  set( MACOSX_BUNDLE_ICON_FILE Speedcrunch.icns )
  set( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.8 )
  set( MACOSX_BUNDLE_VERSION 0.8 )
  set( MACOSX_BUNDLE_LONG_VERSION_STRING Version 0.8 )
  set( CMAKE_OSX_ARCHITECTURES ppc;i386 ) #Comment out if not universal binary
ELSE( APPLE )
  set( PROGNAME speedcrunch )
ENDIF( APPLE )

cmake_minimum_required(VERSION 2.4.0)
set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE OFF)
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

# note: change this BEFORE making a release !!
ADD_DEFINITIONS(-DSPEEDCRUNCH_VERSION=\"0.8\" )

IF( NOT WIN32 )
IF( NOT APPLE )
  # for BinReloc stuff
  ADD_DEFINITIONS( -DENABLE_BINRELOC )
ENDIF( NOT APPLE )
ENDIF( NOT WIN32 )


# note: sort files alphabetically !

# sources
set(speedcrunch_SOURCES
aboutbox.cpp
autohidelabel.cpp
binreloc.c
configdlg.cpp
constants.cpp
constantsdock.cpp
crunch.cpp
deletevardlg.cpp
editor.cpp
evaluator.cpp
functions.cpp
functionsdock.cpp
historydock.cpp
hmath.cpp
insertfunctiondlg.cpp
insertvardlg.cpp
keypad.cpp
main.cpp
number.c
result.cpp
settings.cpp
tipwidget.cpp
variablesdock.cpp
)

# headers
set(speedcrunch_HEADERS
aboutbox.h
autohidelabel.h
binreloc.h
configdlg.h
constants.h
constantsdock.h
crunch.h
deletevardlg.h
editor.h
evaluator.h
functions.h
functionsdock.h
historydock.h
hmath.h
insertfunctiondlg.h
insertvardlg.h
keypad.h
number.h
result.h
settings.h
tipwidget.h
variablesdock.h
)

# forms
# set(speedcrunch_FORMS foobar.ui)

# resources
set(speedcrunch_RESOURCES crunch.qrc)

# translations
set(speedcrunch_TRANSLATIONS
crunch_cs.qm
crunch_de.qm
crunch_es_AR.qm
crunch_es.qm
crunch_fi.qm
crunch_fr.qm
crunch_he.qm
#crunch_id.qm
crunch_it.qm
crunch_nl.qm
crunch_no.qm
#crunch_pl.qm
crunch_pt_BR.qm
crunch_pt.qm
crunch_ro.qm
crunch_ru.qm
crunch_sv.qm
#crunch_sl.qm
)

if( MINGW )
  # resource compilation for mingw
  ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/crunchico.o
                      COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/crunchico.rc -o ${CMAKE_CURRENT_BINARY_DIR}/crunchico.o )
  SET(speedcrunch_SOURCES ${speedcrunch_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/crunchico.o)
  SET(LINK_FLAGS -Wl,-subsystem,windows)
else(MINGW)
  SET(speedcrunch_SOURCES ${speedcrunch_SOURCES} crunchico.rc)
endif(MINGW)

# enable warnings
if(CMAKE_COMPILER_IS_GNUCXX )
  ADD_DEFINITIONS( -Wall -Werror )
endif(CMAKE_COMPILER_IS_GNUCXX )

# setup for Qt4
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

# build everything
qt4_add_RESOURCES( speedcrunch_RESOURCES_SOURCES ${speedcrunch_RESOURCES} )
QT4_WRAP_UI( speedcrunch_FORMS_HEADERS ${speedcrunch_FORMS} )
QT4_WRAP_CPP( speedcrunch_HEADERS_MOC ${speedcrunch_HEADERS} )
INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
IF( APPLE )
  ADD_EXECUTABLE( ${PROGNAME} MACOSX_BUNDLE ${speedcrunch_SOURCES} ${speedcrunch_HEADERS_MOC} ${speedcrunch_RESOURCES_SOURCES} ${speedcruch_FORMS_HEADERS} )
  ADD_CUSTOM_COMMAND( TARGET ${PROGNAME} POST_BUILD
    COMMAND mkdir ARGS ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
    COMMAND cp ARGS ${MACOSX_BUNDLE_ICON_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
    COMMAND cp ARGS *.qm ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
    COMMENT Setting up translations & resources )
  #ADD_DEPENDENCIES( ${PROGNAME} Speedcrunch_RESOURCE_DIR )
ELSE( APPLE )
  ADD_EXECUTABLE( ${PROGNAME} ${speedcrunch_SOURCES} ${speedcrunch_HEADERS_MOC} ${speedcrunch_RESOURCES_SOURCES} ${speedcrunch_FORMS_HEADERS} )
ENDIF( APPLE )

add_custom_target( confclean
  COMMAND rm -rf CMakeFiles/ CMakeCache.txt cmake_install.cmake )

target_link_libraries(${PROGNAME} ${QT_LIBRARIES} ${LINK_FLAGS})

# set(EXECUTABLE_OUTPUT_PATH ${speedcrunch_BINARY_DIR}/../bin)

# install executable and translation files
# note: it will install to CMAKE_INSTALL_PREFIX, which can be set e.g
#  cmake ../trunk  -DCMAKE_INSTALL_PREFIX=/usr
install(TARGETS ${PROGNAME} DESTINATION bin)
install(FILES ${speedcrunch_TRANSLATIONS} DESTINATION share/crunch)

# required for regression tests
enable_testing()

# regression test for HMath
set(testhmath_SOURCES testhmath.cpp hmath.cpp number.c)
add_executable(testhmath ${testhmath_SOURCES})
add_test(testhmath ${EXECUTABLE_OUTPUT_PATH}/testhmath)

# regression test for Evaluator class
set(testevaluator_SOURCES testevaluator.cpp evaluator.cpp functions.cpp hmath.cpp number.c)
add_executable(testevaluator ${testevaluator_SOURCES})
target_link_libraries(testevaluator ${QT_LIBRARIES})
add_test(testevaluator ${EXECUTABLE_OUTPUT_PATH}/testevaluator)

## speedcrunch 0.9

=== src/CMakeLists.txt ===
project(speedcrunch)

IF( APPLE )
  set( PROGNAME Speedcrunch )
  set( MACOSX_BUNDLE_ICON_FILE Speedcrunch.icns )
  set( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.9 )
  set( MACOSX_BUNDLE_VERSION 0.9 )
  set( MACOSX_BUNDLE_LONG_VERSION_STRING Version 0.9 )
  set( CMAKE_OSX_ARCHITECTURES ppc;i386 ) #Comment out if not universal binary
ELSE( APPLE )
  set( PROGNAME speedcrunch )
ENDIF( APPLE )

cmake_minimum_required(VERSION 2.4.0)
set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE OFF)
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

# note: change this BEFORE making a release !!
ADD_DEFINITIONS(-DSPEEDCRUNCH_VERSION=\"0.9\" )

IF( NOT WIN32 )
IF( NOT APPLE )
  # for BinReloc stuff
  ADD_DEFINITIONS( -DENABLE_BINRELOC )
ENDIF( NOT APPLE )
ENDIF( NOT WIN32 )

# sources
INCLUDE(SourceFiles.cmake)

# resources
set(speedcrunch_RESOURCES resources/crunch.qrc)

# translations
INCLUDE(Translations.cmake)

if( MINGW )
  # resource compilation for mingw
  ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/crunchico.o
                      COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/resources/crunchico.rc -o ${CMAKE_CURRENT_BINARY_DIR}/crunchico.o )
  SET(speedcrunch_SOURCES ${speedcrunch_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/crunchico.o)
  SET(LINK_FLAGS -Wl,-subsystem,windows)
else(MINGW)
  SET(speedcrunch_SOURCES ${speedcrunch_SOURCES} resources/crunchico.rc)
endif(MINGW)

# enable warnings
if(CMAKE_COMPILER_IS_GNUCXX )
  ADD_DEFINITIONS( -Wall )
endif(CMAKE_COMPILER_IS_GNUCXX )

# setup for Qt4
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

# build everything
qt4_add_RESOURCES( speedcrunch_RESOURCES_SOURCES ${speedcrunch_RESOURCES} )
QT4_WRAP_UI( speedcrunch_FORMS_HEADERS ${speedcrunch_FORMS} )
QT4_WRAP_CPP( speedcrunch_HEADERS_MOC ${speedcrunch_HEADERS} )
IF( APPLE )
  ADD_EXECUTABLE( ${PROGNAME} MACOSX_BUNDLE ${speedcrunch_SOURCES} ${speedcrunch_HEADERS_MOC} ${speedcrunch_RESOURCES_SOURCES} ${speedcruch_FORMS_HEADERS} )
  ADD_CUSTOM_COMMAND( TARGET ${PROGNAME} POST_BUILD
    COMMAND mkdir ARGS ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
    COMMAND cp ARGS ${MACOSX_BUNDLE_ICON_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
    COMMAND cp ARGS *.qm ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
    COMMENT Setting up translations & resources )
  #ADD_DEPENDENCIES( ${PROGNAME} Speedcrunch_RESOURCE_DIR )
ELSE( APPLE )
  ADD_EXECUTABLE( ${PROGNAME} ${speedcrunch_SOURCES} ${speedcrunch_HEADERS_MOC} ${speedcrunch_RESOURCES_SOURCES} ${speedcrunch_FORMS_HEADERS} )
ENDIF( APPLE )

add_custom_target( confclean
  COMMAND rm -rf CMakeFiles/ CMakeCache.txt cmake_install.cmake )

target_link_libraries(${PROGNAME} ${QT_LIBRARIES} ${LINK_FLAGS})

# set(EXECUTABLE_OUTPUT_PATH ${speedcrunch_BINARY_DIR}/../bin)

# install executable and translation files
# note: it will install to CMAKE_INSTALL_PREFIX, which can be set e.g
#  cmake ../trunk  -DCMAKE_INSTALL_PREFIX=/usr
install(TARGETS ${PROGNAME} DESTINATION bin)
install(FILES ${speedcrunch_TRANSLATIONS} DESTINATION share/crunch)

# required for regression tests
enable_testing()

# regression test for HMath
set(testhmath_SOURCES
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floatexp.c
math/floathmath.c
math/floatgamma.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/hmath.cpp
math/number.c
test/testhmath.cpp
)
add_executable(testhmath ${testhmath_SOURCES})
add_test(testhmath ${EXECUTABLE_OUTPUT_PATH}/testhmath)

# regression test for Evaluator class
set(testevaluator_SOURCES
base/evaluator.cpp
base/functions.cpp
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floatexp.c
math/floathmath.c
math/floatgamma.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/hmath.cpp
math/number.c
test/testevaluator.cpp
)
add_executable(testevaluator ${testevaluator_SOURCES})
target_link_libraries(testevaluator ${QT_LIBRARIES})
add_test(testevaluator ${EXECUTABLE_OUTPUT_PATH}/testevaluator)

# regression test for floatnum
set(testfloatnum_SOURCES
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floatexp.c
math/floathmath.c
math/floatgamma.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/number.c
test/testfloatnum.c
)
add_executable(testfloatnum ${testfloatnum_SOURCES})
add_test(testfloatnum ${EXECUTABLE_OUTPUT_PATH}/testfloatnum)

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} 3rdparty/gui/wwwidgets 3rdparty/util base gui main math)

## speedcrunch 0.10.1

=== src/CMakeLists.txt ===
PROJECT(speedcrunch)

# note: change this BEFORE making a release !!
SET( speedcrunch_VERSION "0.10.1" )

IF( APPLE )
  SET( PROGNAME SpeedCrunch )
  SET( MACOSX_BUNDLE_ICON_FILE speedcrunch.icns )
  SET( MACOSX_BUNDLE_SHORT_VERSION_STRING ${speedcrunch_VERSION} )
  SET( MACOSX_BUNDLE_VERSION ${speedcrunch_VERSION} )
  SET( MACOSX_BUNDLE_LONG_VERSION_STRING Version ${speedcrunch_VERSION} )
  SET( CMAKE_OSX_ARCHITECTURES ppc;i386 ) #Comment out if not universal binary
ELSE( APPLE )
  SET( PROGNAME speedcrunch )
ENDIF( APPLE )

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.4)
SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE OFF)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

ADD_DEFINITIONS("-DSPEEDCRUNCH_VERSION=\\\"${speedcrunch_VERSION}\\\"")

IF( NOT WIN32 )
IF( NOT APPLE )
  # for BinReloc stuff
  ADD_DEFINITIONS( -DENABLE_BINRELOC )
ENDIF( NOT APPLE )
ENDIF( NOT WIN32 )

# sources
INCLUDE(SourceFiles.cmake)

# resources
SET(speedcrunch_RESOURCES resources/speedcrunch.qrc)

# translations
INCLUDE(Translations.cmake)

IF( MINGW )
  # resource compilation for mingw
  ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/speedcrunchico.o
                      COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/resources/speedcrunchico.rc -o ${CMAKE_CURRENT_BINARY_DIR}/speedcrunchico.o )
  SET(speedcrunch_SOURCES ${speedcrunch_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/speedcrunchico.o)
  SET(LINK_FLAGS -Wl,-subsystem,windows)
ELSE(MINGW)
  SET(speedcrunch_SOURCES ${speedcrunch_SOURCES} resources/speedcrunchico.rc)
ENDIF(MINGW)

# enable warnings
IF(CMAKE_COMPILER_IS_GNUCXX )
  ADD_DEFINITIONS( -g -Wall )
ENDIF(CMAKE_COMPILER_IS_GNUCXX )

# setup for Qt4
SET(QT_USE_QTXML TRUE)
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

# build everything
qt4_add_RESOURCES( speedcrunch_RESOURCES_SOURCES ${speedcrunch_RESOURCES} )
QT4_WRAP_UI( speedcrunch_FORMS_HEADERS ${speedcrunch_FORMS} )
QT4_WRAP_CPP( speedcrunch_HEADERS_MOC ${speedcrunch_HEADERS} )
IF( APPLE )
  ADD_EXECUTABLE( ${PROGNAME} MACOSX_BUNDLE ${speedcrunch_SOURCES} ${speedcrunch_HEADERS_MOC} ${speedcrunch_RESOURCES_SOURCES} ${speedcruch_FORMS_HEADERS} )
  SET( speedcrunch_RESOURCE_DIR ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources )
  SET( speedcrunch_TRANSLATION_DIR ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/MacOS/locale )
  SET( speedcrunch_BOOKSDIR ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/MacOS/books )
  ADD_CUSTOM_COMMAND( TARGET ${PROGNAME} POST_BUILD
    COMMAND mkdir ARGS -p ${speedcrunch_RESOURCE_DIR}
    COMMAND mkdir ARGS -p ${speedcrunch_TRANSLATION_DIR}
    COMMAND mkdir ARGS -p ${speedcrunch_BOOKSDIR}
    COMMAND cp ARGS -f resources/${MACOSX_BUNDLE_ICON_FILE} ${speedcrunch_RESOURCE_DIR}
    COMMAND cp ARGS -f i18n/*.qm ${speedcrunch_TRANSLATION_DIR}
    COMMAND cp ARGS -Rf books/ ${speedcrunch_BOOKSDIR}
    COMMAND rm ARGS -f ${speedcrunch_BOOKSDIR}/genbooks.sh
    COMMAND rm ARGS -rf ${speedcrunch_BOOKSDIR}/i18n
    COMMAND for ARGS svnDir in `find ${speedcrunch_BOOKSDIR} -type d -name \".svn\"` \; do rm -rf $svnDir \; done
    COMMENT Setting up translations & resources )
ELSE( APPLE )
  ADD_EXECUTABLE( ${PROGNAME} ${speedcrunch_SOURCES} ${speedcrunch_HEADERS_MOC} ${speedcrunch_RESOURCES_SOURCES} ${speedcrunch_FORMS_HEADERS} )
ENDIF( APPLE )

ADD_CUSTOM_TARGET( confclean COMMAND rm -rf Makefile CMakeFiles/ CMakeCache.txt cmake_install.cmake DartTestfile.txt install_manifest.txt )

TARGET_LINK_LIBRARIES(${PROGNAME} ${QT_LIBRARIES} ${LINK_FLAGS})

# set(EXECUTABLE_OUTPUT_PATH ${speedcrunch_BINARY_DIR}/../bin)

# install executable and translation files
# note: it will install to CMAKE_INSTALL_PREFIX, which can be set e.g
#  cmake ../trunk  -DCMAKE_INSTALL_PREFIX=/usr
INSTALL(TARGETS ${PROGNAME} DESTINATION bin)
INSTALL(FILES ${speedcrunch_TRANSLATIONS} DESTINATION share/speedcrunch/locale)

# required for regression tests
ENABLE_TESTING()

ADD_EXECUTABLE(testhmath ${testhmath_SOURCES})
ADD_TEST(testhmath ${EXECUTABLE_OUTPUT_PATH}/testhmath)

#add_executable(testevaluator ${testevaluator_SOURCES})
#target_link_libraries(testevaluator ${QT_LIBRARIES})
#add_test(testevaluator ${EXECUTABLE_OUTPUT_PATH}/testevaluator)

ADD_EXECUTABLE(testfloatnum ${testfloatnum_SOURCES})
ADD_TEST(testfloatnum ${EXECUTABLE_OUTPUT_PATH}/testfloatnum)

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} 3rdparty/util base gui main math)

# books
SET(BOOKSDIR "${CMAKE_INSTALL_PREFIX}/share/${PROGNAME}/books/")
ADD_DEFINITIONS("-DBOOKSDIR=\\\"${BOOKSDIR}\\\"")

INSTALL(FILES       books/books.css
        DESTINATION ${BOOKSDIR}
)

INSTALL(DIRECTORY   books/images books/ca books/cs books/de books/en books/es books/es_AR books/eu books/fi books/fr books/he books/id books/it books/nb books/nl books/pt books/pt_BR books/pl books/ro books/ru books/sv books/tr books/zh_CN
        DESTINATION "${BOOKSDIR}"
        PATTERN     ".svn" EXCLUDE
)

# freedesktop file
INSTALL(FILES       speedcrunch.desktop
        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications/"
)

INSTALL(FILES       resources/speedcrunch.png
        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps/"
)

=== debian/changelog ===
speedcrunch (0.10.1-4) unstable; urgency=low

  * debian/patches/signed.diff: closes: #654606.

 -- Bart Martens <bartm@debian.org>  Mon, 30 Apr 2012 21:05:36 +0000

speedcrunch (0.10.1-3) unstable; urgency=low

  * debian/patches/focus.diff: Closes: #580857.

 -- Bart Martens <bartm@debian.org>  Sat, 01 Oct 2011 08:39:41 +0200

speedcrunch (0.10.1-2) unstable; urgency=low

  * debian/speedcrunch.desktop: Updated.  Closes: 530316.
  * debian/watch: Fixed.

 -- Bart Martens <bartm@debian.org>  Tue, 09 Jun 2009 10:58:06 +0200

speedcrunch (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Added copyright notice.
  * debian/rules: Convert .ts files to .qm files using lrelease.

 -- Bart Martens <bartm@debian.org>  Tue, 01 Jul 2008 09:04:21 +0200

speedcrunch (0.10-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/install, debian/menu, debian/rules, debian/speedcrunch.desktop:
    Updated for renamed icon file.
  * debian/control: Homepage, Standards-Version.

 -- Bart Martens <bartm@debian.org>  Sat, 26 Apr 2008 07:58:40 +0200

speedcrunch (0.9-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Wed, 05 Dec 2007 21:59:09 +0100

speedcrunch (0.8-2) unstable; urgency=low

  * debian/control, debian/watch: Updated upstream homepage.  Closes: #449957.
  * debian/menu: Updated section.

 -- Bart Martens <bartm@debian.org>  Sun, 11 Nov 2007 21:51:33 +0100

speedcrunch (0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules: Replaced autotools by cmake.

 -- Bart Martens <bartm@knars.be>  Sat, 04 Aug 2007 08:48:07 +0200

speedcrunch (0.7-release-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Fri, 27 Apr 2007 15:30:13 +0200

speedcrunch (0.7-beta2-1) unstable; urgency=low

  * Copied from Ubuntu to Debian.  Closes: #415903.
  * debian/patches/kubuntu_02_qmake.diff: Removed.
  * configure: Modified to ignore unknown options.
  * debian/compat, debian/control: Newer debhelper version.
  * debian/control: Section "math".
  * debian/control, debian/rules: Use autotools.
  * debian/control, debian/rules: Use imagemagick to convert .png to .xpm.
  * debian/copyright, debian/docs: Updated.
  * debian/install, debian/manpages, debian/menu, debian/watch: Added.
  * debian/speedcrunch.desktop: Added "Comment" field.

 -- Bart Martens <bartm@knars.be>  Thu, 22 Mar 2007 20:04:15 +0100

speedcrunch (0.7~beta2-0ubuntu1) feisty; urgency=low

  * New Upstream Version
  * Bumped standars version
  * Removed kubuntu_01_fix_headers.diff
  * Misc fixes in debian/control.  Closes Malone #27957
  * Updated Homepage.  Closes Malone #54194

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 24 Jan 2007 13:53:09 +1100

speedcrunch (0.7~060412-0ubuntu6) feisty; urgency=low

  * No-change upload to drop the unnecessary libpq4 dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Jan 2007 16:45:18 +0100

speedcrunch (0.7~060412-0ubuntu5) edgy; urgency=low

  * Don't build-dep on libqt4-debug-dev, it no longer exists

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 15 Oct 2006 09:30:00 +0000

speedcrunch (0.7~060412-0ubuntu4) edgy; urgency=low

  * Remove update-alternatives from rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jul 2006 11:37:48 +0000

speedcrunch (0.7~060412-0ubuntu3) edgy; urgency=low

  * Add kubuntu_02_qmake.diff, allow for qmake renamed qmake-qt4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jul 2006 11:37:15 +0000

speedcrunch (0.7~060412-0ubuntu2) edgy; urgency=low

  * Rebuild now that libqt4-debug is in main, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Jul 2006 12:52:00 +0000

speedcrunch (0.7~060412-0ubuntu1) edgy; urgency=low

  * New upstream release
  * Now uses Qt 4
  * Standards-Version changed to 3.7.2
  * Recode configure and conf.pri dos->unix line endings
  * Add kubuntu_01_fix_headers.diff to fix incorrect headers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  6 Jul 2006 11:07:24 +0000

speedcrunch (0.6beta2-0ubuntu1) dapper; urgency=low

  * New upstream release.

 -- Seth Kinast <seth@ubuntu.com>  Tue,  3 Jan 2006 18:55:12 -0600

speedcrunch (0.6beta1-0ubuntu1) breezy; urgency=low

  * Initial release.
  * Added a manpage (from docbook source).
  * Added a desktop file.
  * Sponsored upload for Jean-Remy Falleri <jr.falleri@laposte.net>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  7 Jul 2005 16:47:27 +0000

=== debian/control ===
Source: speedcrunch
Section: math
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev, docbook2x, cmake, imagemagick
Standards-Version: 3.9.3
Homepage: http://www.speedcrunch.org/

Package: speedcrunch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High precision calculator
 SpeedCrunch is a high precision and high speed
 calculator.
 .
 It's optimized for keyboard use and has advanced
 features: use of functions, use of variables,
 result history, and syntax highlighting. It also
 shows the result as you type.
 .
 SpeedCrunch has a very simple interface, so 
 you can start to use it very quickly.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	docbook2x-man debian/speedcrunch.1.docbook
	convert -resize 32x32 src/resources/speedcrunch.png src/resources/speedcrunch.xpm
	lrelease src/i18n/*.ts
	cmake src -DCMAKE_INSTALL_PREFIX=/usr

override_dh_install:
	dh_install
	rm -f debian/speedcrunch/usr/share/speedcrunch/books/images/make_math_pngs.sh

override_dh_clean:
	dh_clean
	rm -f src/i18n/*.qm
	rm -f speedcrunch.1
	rm -f src/resources/speedcrunch.xpm
	rm -rf CMakeFiles/ CMakeCache.txt cmake_install.cmake DartTestfile.txt Makefile
	rm -rf Testing/
	rm -f CTestTestfile.cmake install_manifest.txt src/resources/speedcrunch.qrc.depends

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
http://www.speedcrunch.org/en_US/download.html .*speedcrunch-(v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)

## speedcrunch 0.10.1maemo4-1

=== debian/changelog ===
speedcrunch (0.10.1maemo4-1) unstable; urgency=low

  * Rebooting the porting effort. Adds portrait support. 

 -- Michael Demetriou <qwazix@outofbounds.gr>  Mon, 28 Feb 2011 11:51:36 +0200

speedcrunch (0.10.1-1maemo3) unstable; urgency=low

  * Rebuilding for PR1.2
  * Fixed: Operators are white on white background

 -- Timo Härkönen <timop.harkonen@gmail.com>  Wed, 24 Mar 2010 21:48:00 +0200

speedcrunch (0.10.1-1maemo2) unstable; urgency=low

  * Fixes: Faulty desktop file

 -- Timo Härkönen <timop.harkonen@gmail.com>  Thu, 18 Mar 2010 23:51:00 +0200

speedcrunch (0.10.1-1maemo1) unstable; urgency=low

  * Initial packagaging
  * Installing binary, translations and other space fillers under /opt

 -- Timo Härkönen <timop.harkonen@gmail.com>  Thu, 18 Mar 2010 17:19:00 +0200

=== debian/control ===
Source: speedcrunch
Section: user/science
Priority: extra
Maintainer: Michael Demetriou <qwazix@outofbounds.gr>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0), cmake, mce-dev
Standards-Version: 3.7.2

Package: speedcrunch
Architecture: any
Depends: libqt4-core (>= 4.6.0), libqt4-gui (>= 4.6.0), libqt4-xml (>= 4.6.0)
Description: SpeedCrunch is a fast, high precision and powerful desktop calculator.
 SpeedCrunch is easy to use. You just type the expression that you want to calculate and press Enter. You can see clearly what you typed along with the result in the scrollable display. That is faster and more convenient, isn't it?
 You can also paste the expression from the clipboard, that you copied from somewhere else. And, you can quickly copy the last calculation result to the clipboard using Ctrl+R.
 Before you finish, SpeedCrunch may even give already the answer (calc-as-you-type) 
 Features
    * history and results on a scrollable display
    * up to 50 decimal precisions
    * unlimited variable storage
    * intelligent automatic completion
    * fully usable from the keyboard
    * more than 50 built-in math functions
    * optional virtual keypad to be used with a mouse
    * on-the-fly and selection calculation
    * customizable appearance
    * syntax highlighting and parentheses matching
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sCHAoPETSdROAAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAANyUlEQVRo3tWay28cx53HP9U93cN5cZ6cBylySIqkREukqCdl
 AZsAjg+BfVpEyWGBnAIDCfaQ/BkOsLnm4Fz2uMghgBwEsGVBK+plyaRkbWRJ
 lClTlkUOKZGc97sftYfh9AwtyaGpIIAbKFRP/6q661u/969GSCklP+BL4Qd+
 /eABuL6LWK/XOX/+AnNzVyiXywgBIJwmRKu1rlavKIpDV5TWs/aYVt89F+e+
 +31Sgq7rjI8P86MfnWZgoB+32931rc4lXqUDhmHw+9//F5nMGqdPnyIUCmLb
 EpC0Z7T67t/tV7Wedb+6Nffl4zt9qwkBjUad5eUVyuU6Z8/+lCNHpggEAi+A
 eCUHLly4yOpqht/+9j85ePCAs8OdSyLlztYB2G68MKbT7FeOA4llWTx9+pS/
 /e0Sf/3reXw+D5OTk3g8nt3pwLVrn3Lq1AnGx8cAQaVSIV8oUKvVsE0Lq2li
 GRa2aSMtiW1JkIAtwBYIqaCgoAgFVai4FBeaqqGpLnSXhq65cWtuevQeevQe
 PD0eNE1zNkJRVAYHhzh8eIJstsj9+/cpFou714FSqUQoFEQIhWazSbPZRNM0
 zp07x5UbN3Dpepfkd7jS7gQvk0z5wnixLTqmaTIxNsHZs2cdsRICenv9gGBt
 bY1KpbJ7AG1lkrLFTgC37uZ/L8/xQe6/SZ+IYzVsbBukbPcSW7bkvb2TrXuw
 pUTaEltKLKszti0yZAq8/ehtfv6zn4MCtm13ARHU63UMw/h+AHYqZus7Jgrp
 o1HeeTdJrWpjSjDtTjOce7Hdy869tXOsM1dReX7/a7jVYeK3OdcG9D0BiC7F
 aouIxGza1GuSel3uXMh2s5yF0wWia4wFluwAtlSBbNodCfyWYXyZ+dyFH2jb
 6S4LsS3zUoIFWAgsaImNbC3Kki1ATm/vfGZtzzWcd4ApBUjRtm0vgPiO9X8X
 B16xG0iqjQbPyg3qNRvLls5uWrZ0xMTu2n3L4cr27zawbc5YigLVCsLeVuqX
 bOaeOLC93w4Iy7JIxmIEbsVZWfeAtb1fctuEss0KJEKChkRzaIC0HefXkkbp
 7HmtFCM1MIAUL27aawDA8Zq2bVOtVfnNr3/De5VfIe3WM+djgk5oIcGyrRfk
 uGXZJJZlO1yWUqIoCkJRELp4Yd6eAQjRFqMOB1yahtGs0xR1vH4vvcGYY9pU
 VaVSzlMql/F4PYR7+zBNEyklLpeLSqVIuVzE4/ESDkQxLcuhlQyDUrlMj9uN
 pusYzeZLxXlPItRWYE3TeHD/LpdvfIXaM0SztsbxQxFOnZoFYGnpIRevfolw
 D2DU15k5EGR29hRCKCwu3mfu0y9Re9KY9TWOH45x9OgxEIK7Dx5w+/33iX35
 Jbn+ftK/+x2zb76JtcPmK3vhQEeEhBCUywU+XVglEvoZuvRheU3u3P+Q/fuf
 4/V6uXz9IeHgv6NLH9IHt+/+mX0D3xAOh7ly4ytikV+gWV6k32b+zp9JpVYI
 Jffx5QcfcHZri8Ef/5jc48f8zx/+wMaf/kQsGMS2zNcTIcfdCygWS/S4BxlN
 +TBNUF0uTGs/m5s5QqEGUoYZ7fdhGqCqYFrT5AqbCEWiu5KMpLwtmkuhYRwk
 lyvhCdUJ5nIMvvsueL2Ex8fZ/9FH5DIZ+sJhpPmPdUD5bj8gnHDA7/eiKQZu
 L4xPQCgC0mwQiQTx+wMEPC48PsnYAYj2gdXMEwr5CQR6cWsSjxfGDkAoCtIo
 EwoF0HQdMx5nPZOBeJxCLseGrhOMx7Et65+hAx037vUGmJ7ysPhgga2tfZTK
 G0yMG0QiUUDh2LE497/4nM3NFIVCltFRg0Q8jaKozMyEePhggY3NAYrFDcbG
 JH19cQQw/Mtfcv6PfyT+4YdkTZPoe+8Ri0axTdPxCHt0ZKIryWiZvrGxURKJ
 AoX8Fj6/h2AwgWlKwCSd3kc4XKBY3OKgTyMYHG85M9NiZHiIvliJQmETv1+n
 t3d/K/izDIYPHCD2/vsUnz1jKBIh1NuLbRhtf/x6oUR3GNFyZDaBQJBwOIpp
 WjuiQ9O06O0NEg5HsCxr24S2wUsCgV6CwRCWZWOaVifxMU16PR5CY2PYpolh
 GM73ulPQ760Dnfy3E1K4XC6q1RpLS4/I5XLo2zlBm1YuV3j06CtyuTwul+bM
 1TSNSqXKV18tUygU0DSXs0hNc1EtFXny6CGF3Baa5vpnJfVihyNzuVwsLy9z
 7do1LMtCCMGxY8d44403AFhdXWVubs7JHaanp5mamkIIwZMnT7h+/bpDO3r0
 KJOTk0gp+frxYy7d/IKi5cEjasweGuTQoSmsLi//GiIknISiWq0yPz/P6dOn
 SSQSFItFrl27RjKZxOfzcePGDd58803i8TiVSoWLFy8Si8UIBoPcvHmTM2fO
 0NfXR6lU4uLFi0QiESKhAJ/dz2CM/AdNy4dbt5hfPkcqtUkoHHWysj0B+HZC
 UygUiMVipNNpDMMgkUgwODjI5uYmzWYTt9tNOp2m2WwSjUaZmJggl8thWRbB
 YJB0Ok2j0SAejzM6OsrW1hZ+j05ZjRML+4gYoLhUCtE3yOY3iERjTma3Zz/Q
 tkItM+rF3FaySCTicCUYDOLz+VBV1aFpmkaxWCQQCBAIBJBS0mw2iUQiKIpC
 uVwmGOxF01wIqRD2wqn9sC8C5VKdXr93V4vfRTDXCacDgQBDQ0PMz8+TSqXY
 2NggHA4Ti8VQFIWJiQnm5+dJJpNsbGzg9/tJpVIoisLIyAg3btygv7+fjY0N
 IpEIiUQSRcDJYcGVO7d4Eh2hWlhjJp4lFtvv6MtrhBI7zaht2xw8eJB4PE4m
 k2FkZIRUKoVhGBiGwejoKMFgkPX1ddLpNMlkEtM0MU2T8fFxotEo6+vrDA8P
 E4/HMQwDS0oOHUjT37fFk8zfSaZ7SSbGqRs2bMv/a3viti1XFIVsNsvt27ep
 Vqs8ffoUgHg8jhCCYrHInTt3qNVqPH36FNu2SSaTCCEoFAp8/vnn1Ot1VlZW
 mJqaIh6PI6VkK5vlzt/vUTEEz59nMM0mieQ+LMvsSmz2rAOdBM80TS5duoTP
 5+PkyZP09/dz+fJlarUaUkquXr1KKBTi5MmTDA8Pc+XKFQqFArZtMzc3RygU
 YnZ2lsHBQa5evUqpVAJpcX3hPsvqLE+Dv+Ab70+4+NlDqpXiDsuzZyvUzpiE
 EGSzWQKBAMePH8cwDKLRKKVSiUwmg9/vxzRNjhw5gmEYxGIxisUia2tr9Pb2
 ous6x48fp9FoEI1GyefzrGUy7OtPkBUpAvFRmjXQ3AmaxgmePd9kdCSA6WRu
 4lX1Fnbl9tqODMDlcjkLtm0bXdfRNA2Xy4Wu6wQCAWzbxrIsdF1H13UURUHT
 NHw+H5Zltea53aiqgmlpHIxC3AeFBny6qqDrulOdaAFQAHvvjsy2bYLBIOFw
 mIWFBfr7+9na2kJVVRKJBKqqMjAwsINmWRapVApd1+nr6+Ozzz5jYGCAjY0N
 VFUlmUyhawoH48/54u4SffEU2VyOQT1DIj6EZdns5vBo11ZICMH09DRra2s8
 f/6cQCDAgQMHnDGHDh1idXWV9fV1/H4/J06cQFEUbNtmamqKtbU11tbWCAQC
 jI2NtfTKlsxODdGfec7aVoaJhM7o0DCWVLFtu8sK7SmYEzsi0nZZpVAokM/n
 yefzNJvNrkpDi5bL5RxaJ1I1yefzL6EJGoZJpZRF1p9Rr2xSrTW6alKvccT0
 strohQsXePbsGUNDQzQaDc6fP49hGKiqytWrV8lms6TTaWzb5uOPP6ZWq6Eo
 CnNzc2SzWYaHhzEMg08++aQ1T4FrN29xPRPlc/lTbmbH+OjSTYxmY4fi7jGY
 a9dtcKyQqqqcOXMGy7IYGBjg+vXrZDIZAoEAhUKBd955B8uyGBwcpFqtsrKy
 QigUotFo8NZbb2GaJvv27aNSqbCyskJ/IsZ6M4p74CTNMuh9vdRFlWfPnjE4
 NETHGe8RQFuJ25xwu914vV5UVUVK6ZyW2LaNx+PB5/Ntn5GB3+9HURSklHi9
 Xnw+n7Obfr/fWZeBnzfi4O+Hug13NgNIarsubCm7KWyZpkkoFMLlcvHgwQOq
 1SqPHz+mVquRSCQIh8OEQiEWFxcdWj6fJ5FIEIlE6Onp4d69e9RqNZaXl6lU
 KiSTSXp6PCS9NR4ub1Iz4fFqhZ7GCom+sFP1E6JzWPi9OKAoLur1prOLQghm
 ZmZ4+PAhCwsLqKrK1NSUk5UdPnyYxcVFbt265SQ0Pp8PKSXT09MsLS0xPz+P
 oihMTU3h8XiwbJt/m45ze/H/eHTXR6SnwvHjETS3d9sKCZpN07n/XgDGx9Ms
 Li5z7NghPJ4eTNPE4+nh6NEZmk0Dl8uFEC3LJCW43W5mZo500QTWdmGqp6eH
 6ekpms0mLpfmzANwe3ycOTaCbTRR1D5sVCfjy+dzfPPNFpVKgb6+IKqq7h7A
 mTMnWFi4y1/+cp7Z2SP4fJ4dIW7nZNHuOm6V36LJlx69to+VOr87hd7Ozht8
 /fUGKytZ6vVN+vrGHD3a1Tlxo9FgYeE2586dp1xuoChthVYcperoibLDd7Se
 KzsKZN0SIITyLZFQdhyGtwpqNpVKkUplndHRfbz99tvMzMy8AOKVAKSUlEol
 lpaWuHfvHqurq9RqtX/p3wh0XScejzM5Ocnk5KST0e0KQBtEvV4nn89TLpe3
 5f1f8+cWIQSqquL1egkGg3i93hcW/w8B/BCu/wezrPe4Qtt7wQAAAABJRU5E
 rkJggg==
 ====

## speedcrunch 0.10.1maemo5

=== debian/changelog ===
speedcrunch (0.10.1maemo5) unstable; urgency=low

  * Fixed edit area color to comply with hildon theme.
  * Changes to the insert function dialog.

 -- Michael Demetriou <qwazix@outofbounds.gr>  Mon, 07 Mar 2011 18:39:36 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,9 @@
     * on-the-fly and selection calculation
     * customizable appearance
     * syntax highlighting and parentheses matching
+XSBC-Bugtracker: mailto:qwazix@gmail.com
+XB-Maemo-Upgrade-Description: Now the edit area is colored according to the hildon theme 
+ Also the 'Insert function' dialog is redesigned and now sports a search form.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_ENVVARS += INSTALL_ROOT=debian/speedcrunch/
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/speedcrunch/

APPNAME := speedcrunch
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	lrelease src/i18n/*.ts
	cd builddir && cmake ../src -DCMAKE_INSTALL_PREFIX=/opt

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	rm -f src/i18n/*.qm
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) $(DEB_MAKE_INSTALL_TARGET)
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## speedcrunch 0.10.1maemo5-1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -123,9 +123,9 @@
 
 # freedesktop file
 INSTALL(FILES       speedcrunch.desktop
-        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications/"
+        DESTINATION "/usr/share/applications/hildon/"
 )
 
 INSTALL(FILES       resources/speedcrunch.png
-        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps/"
+        DESTINATION "/usr/share/pixmaps/"
 )

=== debian/changelog ===
speedcrunch (0.10.1maemo5-1) unstable; urgency=low

  * Fixed broken shortcut

 -- Michael Demetriou <qwazix@outofbounds.gr>  Mon, 07 Mar 2011 20:39:36 +0200

## speedcrunch 0.10.1-1maemo1

=== debian/control ===
Source: speedcrunch
Section: user/science
Priority: optional
Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, cmake
Standards-Version: 3.7.2

Package: speedcrunch
Architecture: any
Depends: libqt4-core, libqt4-gui, libqt4-xml
Description: Fast, high precision and powerful calculator.

## speedcrunch 0.10.1-1maemo3

=== debian/control ===
Source: speedcrunch
Section: user/science
Priority: optional
Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0), cmake
Standards-Version: 3.7.2

Package: speedcrunch
Architecture: any
Depends: libqt4-core (>= 4.6.0), libqt4-gui (>= 4.6.0), libqt4-xml (>= 4.6.0)
Description: Fast, high precision and powerful calculator.

## speedcrunch 0.11

=== src/CMakeLists.txt ===
PROJECT(speedcrunch)

SET( speedcrunch_VERSION "0.11" )

IF( APPLE )
  SET( PROGNAME SpeedCrunch )
  SET( MACOSX_BUNDLE_ICON_FILE speedcrunch.icns )
  SET( MACOSX_BUNDLE_SHORT_VERSION_STRING ${speedcrunch_VERSION} )
  SET( MACOSX_BUNDLE_VERSION ${speedcrunch_VERSION} )
  SET( MACOSX_BUNDLE_LONG_VERSION_STRING Version ${speedcrunch_VERSION} )
  SET( CMAKE_OSX_ARCHITECTURES ppc;i386 )
ELSE( APPLE )
  SET( PROGNAME speedcrunch )
ENDIF( APPLE )

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.4)
IF(COMMAND cmake_policy)
 CMAKE_POLICY(SET CMP0003 NEW)
 CMAKE_POLICY(SET CMP0005 OLD)   # remove this and the quoted arguments in
                                 # ADD_DEFINITONS() once CMake 2.6 is used
ENDIF(COMMAND cmake_policy)
SET(CMAKE_COLOR_MAKEFILE      ON)
SET(CMAKE_VERBOSE_MAKEFILE    OFF)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

SET(QT_MIN_VERSION "4.8.0")

ADD_DEFINITIONS("-DSPEEDCRUNCH_VERSION=\\\"${speedcrunch_VERSION}\\\"")
ADD_DEFINITIONS(-DQT_USE_QSTRINGBUILDER)

IF( NOT WIN32 )
IF( NOT APPLE )
  ADD_DEFINITIONS( -DENABLE_BINRELOC )
ENDIF( NOT APPLE )
ENDIF( NOT WIN32 )

# sources
INCLUDE(SourceFiles.cmake)

IF( MINGW )
  # resource compilation for mingw
  ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/speedcrunchico.o
                      COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/resources/speedcrunch.rc -o ${CMAKE_CURRENT_BINARY_DIR}/speedcrunchico.o )
  SET(speedcrunch_SOURCES ${speedcrunch_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/speedcrunchico.o)
ELSE(MINGW)
  SET(speedcrunch_SOURCES ${speedcrunch_SOURCES} resources/speedcrunch.rc)
ENDIF(MINGW)

# enable warnings
IF(CMAKE_COMPILER_IS_GNUCXX )
  ADD_DEFINITIONS( -Wall )
ENDIF(CMAKE_COMPILER_IS_GNUCXX )

# setup for Qt4
SET(QT_USE_QTNETWORK TRUE)
#SET(QT_USE_QTXML TRUE)
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

# build everything
qt4_add_RESOURCES( speedcrunch_RESOURCES_SOURCES ${speedcrunch_RESOURCES} )
QT4_WRAP_UI( speedcrunch_FORMS_HEADERS ${speedcrunch_FORMS} )
QT4_WRAP_CPP( speedcrunch_HEADERS_MOC ${speedcrunch_HEADERS} )
ADD_EXECUTABLE( ${PROGNAME} WIN32 MACOSX_BUNDLE ${speedcrunch_SOURCES} ${speedcrunch_HEADERS_MOC} ${speedcrunch_RESOURCES_SOURCES} ${speedcrunch_FORMS_HEADERS} )
IF( APPLE )
  SET( speedcrunch_RESOURCE_DIR ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources )
  ADD_CUSTOM_COMMAND( TARGET ${PROGNAME} POST_BUILD
    COMMAND mkdir ARGS -p ${speedcrunch_RESOURCE_DIR}
    COMMAND cp ARGS -f resources/${MACOSX_BUNDLE_ICON_FILE} ${speedcrunch_RESOURCE_DIR} )
ENDIF( APPLE )

ADD_CUSTOM_TARGET( confclean COMMAND rm -rf Makefile CMakeFiles/ CMakeCache.txt cmake_install.cmake DartTestfile.txt install_manifest.txt )

find_library(x11 X11)
IF(x11)
  TARGET_LINK_LIBRARIES(${PROGNAME} ${QT_LIBRARIES} X11)
ELSE(x11)
  TARGET_LINK_LIBRARIES(${PROGNAME} ${QT_LIBRARIES})
ENDIF(x11)

# only needed for static builds when directx is enabled in qt and you
# get a linker error because of missing a directx function
#IF(WIN32)
#  TARGET_LINK_LIBRARIES( speedcrunch dxguid )
#ENDIF(WIN32)

# set(EXECUTABLE_OUTPUT_PATH ${speedcrunch_BINARY_DIR}/../bin)

# required for regression tests
ENABLE_TESTING()

ADD_EXECUTABLE(testhmath ${testhmath_SOURCES})
ADD_TEST(testhmath testhmath)

QT4_WRAP_CPP(testevaluator_HEADERS_MOC ${testevaluator_HEADERS})
ADD_EXECUTABLE(testevaluator ${testevaluator_SOURCES} ${testevaluator_HEADERS_MOC})
TARGET_LINK_LIBRARIES(testevaluator ${QT_LIBRARIES})
ADD_TEST(testevaluator testevaluator)

ADD_EXECUTABLE(testfloatnum ${testfloatnum_SOURCES})
ADD_TEST(testfloatnum testfloatnum)

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} thirdparty core gui math)


################################# INSTALL ######################################

# macros, definitions and options
IF(NOT WIN32)
  SET(SHAREDIR  "share/")
  SET(MENUDIR   "${SHAREDIR}/applications/")
  SET(ICONDIR   "${SHAREDIR}/pixmaps/")
ENDIF(NOT WIN32)

# portable edition
OPTION(PORTABLE "Enable to build in portable mode" OFF)
IF(PORTABLE_SPEEDCRUNCH)
  ADD_DEFINITIONS(-DSPEEDCRUNCH_PORTABLE)
ENDIF(PORTABLE_SPEEDCRUNCH)

# executable
INSTALL(TARGETS     ${PROGNAME}
        DESTINATION bin
)

IF(NOT WIN32)
# freedesktop menu
INSTALL(FILES       ../pkg/speedcrunch.desktop
        DESTINATION ${MENUDIR}
)

# icon
INSTALL(FILES       resources/speedcrunch.png
        DESTINATION ${ICONDIR}
)
ENDIF(NOT WIN32)

################################ UNINSTALL #####################################

CONFIGURE_FILE( "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
                "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
                IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== debian/changelog ===
speedcrunch (0.11-1) unstable; urgency=low

  * New maintainer (closes: #826923).
  * New upstream release (closes: #771440).
  * debian/docs: update for new readme file.
  * debian/patches: remove outdated patches.
  * debian/speedcrunch.desktop: remove desktop file, upstream now includes one.
  * debian/copyright:
    - Update copyrights.
    - Change to machine-readable format.
  * debian/control:
    - Bump Standards-Version.
    - Add Vcs-* fields.
    - Add explicit Qt 4.8 and libx11-dev Build-Depends.
  * debian/install: PNG icon is now installed by upstream build process.
  * debian/rules:
    - Adapt to build system changes.
    - Use Debian hardening build flags.
    - Enable parallel builds.
  * debian/menu: removed since it's unnecessary now.
  * debian/watch: update to new upstream download location.
  * Add keywords to .desktop file (LP: #994190).

 -- Felix Krull <f_krull@gmx.de>  Sat, 02 Jul 2016 02:12:11 +0200

=== debian/control ===
Source: speedcrunch
Section: math
Priority: optional
Maintainer: Felix Krull <f_krull@gmx.de>
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.8), libx11-dev, cmake,
               docbook2x, imagemagick
Standards-Version: 3.9.8
Homepage: http://www.speedcrunch.org/
Vcs-Browser: https://bitbucket.org/fkpackaging/pkg-speedcrunch/
Vcs-Git: https://fk@bitbucket.org/fkpackaging/pkg-speedcrunch.git

Package: speedcrunch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High precision calculator
 SpeedCrunch is a high precision and high speed calculator.
 .
 It's optimized for keyboard use and has advanced features: use of functions,
 use of variables, result history, and syntax highlighting. It also shows the
 result as you type.
 .
 SpeedCrunch has a very simple interface, so you can start to use it very
 quickly.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake --sourcedirectory=src --parallel

override_dh_auto_build:
	dh_auto_build -- VERBOSE=1
	docbook2x-man debian/speedcrunch.1.docbook
	convert -resize 32x32 src/resources/speedcrunch.png speedcrunch.xpm

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/" \
https://bitbucket.org/heldercorreia/speedcrunch/downloads .*/(\d\S*)\.tar\.gz
